Module | Locale::Driver::Posix
In: | lib/locale/driver/posix.rb

### Methods

charset locales

### Public Instance methods

charset()

Gets the charset from environment variable or the result of “locale charmap” or nil.

- Returns: the system charset.

locales()

Gets the locales from environment variables. (LANGUAGE > LC_ALL > LC_MESSAGES > LANG) Only LANGUAGE accept plural languages such as “nl_BE;

- Returns: an Array of the locale as Locale::Tag::Posix or nil.

[Validate]